package com.example.p2pchatapplication.models

import org.json.JSONObject
import java.io.Serializable


class User : Serializable {
    var username: String? = null
    var publicAddress: String? = null
    var publicPort: Int = 0
    var privateAddress: String? = null
    var privatePort: Int = 0
    var discoverySocketId: String? = null

    fun toJSONObject(): JSONObject {
        val obj = JSONObject()
        obj.put("username", username)
        obj.put("publicAddress", publicAddress)
        obj.put("publicPort", publicPort)
        obj.put("privateAddress", privateAddress)
        obj.put("privatePort", privatePort)
        obj.put("discoverySocketId", discoverySocketId)
        return obj
    }
}
