package com.example.p2pchatapplication.network


import com.example.p2pchatapplication.utils.Constants
import java.net.URI

class SocketManager /*private constructor(private var context: Context)*/ {
    private var socketClient: SocketClient? = null
    //private var socketServer: SocketServer? = null

    companion object {
        private var instance: SocketManager? = null

        fun newInstance(/*context: Context*/): SocketManager? {
            instance = SocketManager(/*context*/)
            return instance
        }

        fun getInstance(/*context: Context*/): SocketManager? {
            if (instance == null) {
                println("Instance is null, creating new instance")
                instance = SocketManager(/*context*/)
            }
            return instance
        }
    }

    fun getSocketClient() = socketClient

    init {
        socketClient = SocketClient(URI(Constants.DISCOVERY_SERVER_ADDRESS), true)
    }
}