package com.example.p2pchatapplication.database

import com.example.p2pchatapplication.models.User

class MyDataManager {
    private lateinit var me: User

    companion object {
        private var instance: MyDataManager? = null

        fun getInstance(): MyDataManager {
            if (instance == null) {
                instance = MyDataManager()
            }
            return instance!!
        }
    }

    fun setData(user: User) {
        me = User()
        me.username = user.username
        me.publicPort = user.publicPort
        me.publicAddress = user.publicAddress
        me.privatePort = user.privatePort
        me.privateAddress = user.privateAddress
        me.discoverySocketId = user.discoverySocketId
    }

    fun getMe(): User {
        return me
    }
}