package com.example.p2pchatapplication.network

import org.java_websocket.WebSocket
import java.util.concurrent.ConcurrentHashMap

class ChatSocketManager {
    private var sockets : ConcurrentHashMap<String, WebSocket?> = ConcurrentHashMap<String, WebSocket?>()

    companion object {
        private var instance: ChatSocketManager? = null

        fun getInstance(): ChatSocketManager {
            if (instance == null) {
                instance = ChatSocketManager()
            }
            return instance!!
        }
    }

    fun getUserSocket(username: String): WebSocket? {
        return sockets[username]
    }

    fun add(username: String, socket: WebSocket?) {
        sockets[username] = socket
    }

    /*fun clearUserSocket(username: String) {
        if (sockets["username"] != null) {
            sockets["username"] = null
        }
    }*/
}